﻿using Microsoft.Extensions.Logging;
using ProfileApp.Views;

namespace ProfileApp;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			});

        var services = builder.Services;
        services.AddTransient<AppShell>();
        services.AddTransient<FirstPage>();
        services.AddTransient<SecondPage>();
        services.AddTransient<ThirdPage>();
        services.AddTransient<ProfilePage>();

#if DEBUG
        builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}
